export default {
    install (Vue) {
      // 添加公共方法到 Vue 原型上
      Vue.prototype.$findParentData = function (dataName) {
        // 尝试从父组件获取数据
        let parent = this.$parent
        while (parent) {
          const parentData = parent[dataName]
          if (parentData !== undefined) {
            return parentData // 找到返回数据
          }
          parent = parent.$parent // 继续向上寻找
        }
      return null // 如果没有找到，返回空
    }
  }
}
